program jabuke;
var n,i,j,l,r,y:LongInt; max:double; x:real;
A:array[1..200001] of LongInt;
P:array[1..200001] of real;
sum:array[1..200001] of Double;

begin
read(n);
for i:=1 to n do
readln(A[i],P[i]);
for l:=1 to n-1 do
for r:=l to n do 
if P[l]>P[r] then 
begin 
x:=P[r];
P[r]:=P[l];
P[l]:=x;

y:=A[r];
A[r]:=A[l];
A[l]:=y;
end;
for i:=1 to n do
begin
sum[i]:=0; 
for j:=i to n do
sum[i]:=sum[i]+P[i]*A[j];
end;
max:=0;
for i:=1 to n do
if sum[i]>max then max:=sum[i];
write(max/100);
end.